## ev-job-scheduler

ev-job-scheduler

## Functions

void | ev_job_scheduler_push_job ()
void | ev_job_scheduler_update_job ()
EvJob * | ev_job_scheduler_get_running_thread_job ()

## Types and Values

enum | EvJobPriority

## Object Hierarchy

        GEnum
        ╰── EvJobPriority

## Description

## Functions

### ev_job_scheduler_push_job ()

    void
    ev_job_scheduler_push_job (EvJob *job,
                               EvJobPriority priority);

### ev_job_scheduler_update_job ()

    void
    ev_job_scheduler_update_job (EvJob *job,
                                 EvJobPriority priority);

### ev_job_scheduler_get_running_thread_job ()

    EvJob *
    ev_job_scheduler_get_running_thread_job
                                   (void);

## Types and Values

### enum EvJobPriority

#### Members

EV_JOB_PRIORITY_URGENT |  |
EV_JOB_PRIORITY_HIGH |  |
EV_JOB_PRIORITY_LOW |  |
EV_JOB_PRIORITY_NONE |  |
EV_JOB_N_PRIORITIES |  |